Add attachment to SDS
Upload a supplementary document and attach it to an SDS record.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use your API key as the token. Obtain from your NextSDS team settings.
In: header
Path Parameters
sdsId*string
SDS document UUID
Format
uuidRequest Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.nextsds.com/v1/sds/497f6eca-6276-4993-bfeb-53cbbbba6f08/attachments" \ -F file="string" \ -F type="safety_card"{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "safety_card",
"label": "string",
"description": "string",
"file_name": "string",
"file_size": 0,
"mime_type": "string",
"download_url": "http://example.com",
"created_at": "2019-08-24T14:15:22Z"
}
}{
"type": "https://api.nextsds.com/errors/bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Request body is missing required field: file"
}{
"type": "https://api.nextsds.com/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing X-API-Key header"
}{
"type": "https://api.nextsds.com/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "The requested resource was not found"
}